List virtual GPU images
curl --request GET \
--url https://api.gcore.com/cloud/v3/gpu/virtual/{project_id}/{region_id}/images \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/cloud/v3/gpu/virtual/{project_id}/{region_id}/images"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/cloud/v3/gpu/virtual/{project_id}/{region_id}/images', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 1,
"results": [
{
"created_at": "2024-05-05T14:51:26.570866",
"cuda_toolkit_version": "13.0.2",
"disk_format": "raw",
"id": "44e136a7-15c1-4b5f-a086-20b7b3237d40",
"min_disk": 1,
"min_ram": 0,
"name": "ubuntu-23.10-x64",
"status": "active",
"tags": [
{
"key": "my-tag",
"read_only": false,
"value": "my-tag-value"
}
],
"updated_at": "2024-05-05T14:51:26.570866",
"visibility": "public",
"architecture": "x86_64",
"gpu_driver": "nvidia",
"gpu_driver_type": "open",
"gpu_driver_version": "570.148.08",
"hw_firmware_type": "bios",
"os_distro": "ubuntu",
"os_type": "linux",
"os_version": "19.04",
"size": 3758096384,
"ssh_key": "allow",
"task_id": null
}
]
}GPU Virtual
List virtual GPU images
GET
/
cloud
/
v3
/
gpu
/
virtual
/
{project_id}
/
{region_id}
/
images
List virtual GPU images
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Path Parameters
Project ID
Example:
1
Region ID
Example:
7
Query Parameters
Optional. Limit the number of returned items
Required range:
x <= 1000Example:
1000
Optional. Offset value is used to exclude the first set of records from the result
Required range:
x >= 0Example:
0
Was this page helpful?
⌘I